KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLBaseElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Document base URI. See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#edef-BASE"> BASE element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLBaseElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLBaseElementImpl impl)
DOM.DOMString | href (self)
| setHref (self, DOM.DOMString a0)
| setTarget (self, DOM.DOMString a0)
DOM.DOMString | target (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLBaseElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLBaseElementImpl | impl
| ) |  |  |

DOM.DOMString href | ( |  | self ) |

The base URI See the <a href="http://www.w3.org/TR/REC-html40/struct/links.html#adef-href-BASE"> href attribute definition in HTML 4.0.

setHref | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see href

setTarget | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see target

DOM.DOMString target | ( |  | self ) |

The default target frame. See the <a href="http://www.w3.org/TR/REC-html40/present/frames.html#adef-target"> target attribute definition in HTML 4.0.